package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventTree;
import com.railway.business.baseinfo.service.IBasePreventTreeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/tree", tags = "基础数据-九防台账-防树")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/tree")
public class BasePreventTreeController extends BaseController {
    @Autowired
    private IBasePreventTreeService basePreventTreeService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventTree basePreventTree) {
        return toAjax(basePreventTreeService.create(basePreventTree));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventTreeService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventTree basePreventTree) {
        return toAjax(basePreventTreeService.update(basePreventTree));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventTree info = basePreventTreeService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventTree basePreventTree) {
        startPage();
        List<BasePreventTree> list = basePreventTreeService.getList(basePreventTree);
        return getDataTable(list);
    }

}
